com.mapinfo.midev.data

## Interface IDataProvider

All Known Subinterfaces:
  IFileDataProvider

All Known Implementing Classes:
  NativeDataProvider, ShapeDataProvider

    public interface IDataProvider

The beginning of everything with respect to interacting with a data source. An `IDataProvider` is a factory for `IDataSources` from which `IDataSourceTables` come from.

### Method Summary

All Methods Instance Methods Abstract Methods
`IDataSource` `openDataSource(IDataSourceDefinition dataSourceDefinition)` Returns an `IDataSource` given the specified `IDataSourceDefinition`.

### Method Detail

#### openDataSource

    IDataSource openDataSource(IDataSourceDefinition dataSourceDefinition)

Returns an `IDataSource` given the specified `IDataSourceDefinition`. The `IDataSource` that is returned is implementation specific. For example, some implementations will cache `IDataSource`s and return the same instance for `IDataSourceDefinition`s that are equal while other may not.

Parameters:
  `dataSourceDefinition` - the `IDataSourceDefinition` used to create/open an `IDataSource`.
Returns:
  an `IDataSource` given the specified `IDataSourceDefinition`.